#! /bin/sh

BROKER_ALLUP=${top_builddir}/allup/src/broker_allup
CBHEY=${top_builddir}/cbhey/src/cbhey

$BROKER_ALLUP &
ALLUP_PID="$!"

trap 'kill $ALLUP_PID' EXIT

sleep 2

$CBHEY file://allup.ior create library with name ${top_builddir}/libbroker/src/.libs/libcpu-broker > cb.ior
$CBHEY file://cb.ior create manager with name dummy > manager.ior
$CBHEY file://cb.ior create stub-real-time-task with name srtt > srtt.ior

##

run_test $CBHEY file://srtt.ior list

check_output "Unable to list root properties?" <<EOF
name
begin-cpu-scheduling
end-cpu-scheduling
period
deadline
compute
report-cpu
EOF

##

run_test $CBHEY file://srtt.ior execute begin-cpu-scheduling with manager file://manager.ior period 1s

check_output "Unable to begin-cpu-scheduling?" <<EOF
ok
EOF

##

run_test $CBHEY file://srtt.ior execute report-cpu with status 12345 advice 12345

check_output "Unable to report CPU usage?" <<EOF
ok
EOF

##

run_test $CBHEY file://srtt.ior get compute

check_output "Unable to get new compute time?" <<EOF
12345
EOF

##

run_test $CBHEY file://srtt.ior execute end-cpu-scheduling

check_output "Unable to end-cpu-scheduling?" <<EOF
ok
EOF

##
