/*
 * BasicTaskCallbackImpl.java
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file BasicTaskCallbackImpl.java
 *
 * Default implementation of a  Qosket::Basic::BasicTaskCallback.
 */

package Qosket.Basic;

/**
 * A subclass of the Qosket::Basic::BasicTaskCallbackPOA class generated from
 * the BasicTaskContract.  The implementation is pretty straightforward, it
 * just prints out a messages when its methods are called.
 *
 * @sa BasicTaskCallbackImpl
 * @sa Qosket::Basic::BasicTaskQosket
 * @sa BasicTaskQosketImpl
 * @sa BasicTaskContract.cdl
 */
public class BasicTaskCallbackImpl
    extends BasicTaskCallbackPOA
{
    public BasicTaskCallbackImpl(String name)
    {
    }

    public void sendMessage(String msg)
    {
	System.out.println(msg);
    }

    public void MissedDeadline()
    {
	this.sendMessage("Missed Deadline");
    }

    public void MadeDeadline()
    {
	this.sendMessage("Made Deadline");
    }
}
