/*
 * RTServerWrapper.hh
 *
 * Copyright (c) 2003 The University of Utah and the Flux Group.
 * All rights reserved.
 *
 * This file is licensed under the terms of the GNU Public License.  
 * See the file "license.terms" for restrictions on redistribution 
 * of this file, and for a DISCLAIMER OF ALL WARRANTIES.
 */

/**
 * @file RTServerWrapper.hh
 *
 * Header file for the RTServerWrapper class.
 */

#ifndef _rt_server_wrapper_hh
#define _rt_server_wrapper_hh

#include "BrokerC.h"
#include "RTServerAdapter.h"

/**
 * A QuO wrapper for the RTServerAdapter class.
 */
class RTServerWrapper : public RTServerAdapter
{

public:

    /**
     * Construct an RTServerWrapper object with the given values.
     *
     * @param rtt The task object to report CPU usage to.
     * @param period The server's period, in microseconds.
     * @param deadline The server's deadline, in microseconds.
     */
    RTServerWrapper(Broker::RealTimeTask_ptr rtt,
		    CORBA::ULong period,
		    CORBA::ULong deadline);

    /**
     * Deconstruct an RTServerWrapper object.
     */
    virtual ~RTServerWrapper();

    /**
     * @return The wrapped RTServer object.
     */
    RTServer_ptr getRemoteObject(void);

};

#endif
