#! /bin/sh

QUO_KERNEL=${top_builddir}/qosket/basic/cpp/basic_kernel
BROKER_ALLUP=${top_builddir}/allup/src/broker_allup
CBHEY=${top_builddir}/cbhey/src/cbhey

$BROKER_ALLUP &
ALLUP_PID="$!"

$QUO_KERNEL &
KERNEL_PID="$!"

trap 'kill $ALLUP_PID; kill $KERNEL_PID' EXIT

sleep 2

##

run_test $CBHEY -l

grep_output_for "IMP:QuoAdvocate:1.0" \
    "Unable to list supported interfaces?"

##

$CBHEY file://allup.ior create library with name ${top_builddir}/libbroker/src/.libs/libcpu-broker > cb.ior
$CBHEY file://allup.ior create library with name ${top_builddir}/task_factories/src/.libs/libtask_factories > task_factories.ior

$CBHEY file://cb.ior create manager with name dummy > manager.ior
$CBHEY file://cb.ior create stub-real-time-task with name srtt > srtt.ior

$CBHEY file://quoKernel.ior create sys-cond with app-id status idl-type quo::ValueSC impl-type quo_sc::ValueSCImpl > sc.ior
$CBHEY file://task_factories.ior create quo-advocate with name qa > qa.ior
$CBHEY -c IDL:BrokerDelegates/Delegate:1.0 file://qa.ior set remote-object to file://srtt.ior > /dev/null

##

run_test $CBHEY -c IMP:QuoAdvocate:1.0 file://qa.ior set status-sc to file://sc.ior

check_output "Unable to set status-sc?" <<EOF
ok
EOF

##

run_test $CBHEY -c IMP:QuoAdvocate:1.0 file://qa.ior set status-sc to file://sc.ior

check_output "Unable to set status-sc (2)?" <<EOF
ok
EOF

##

run_test $CBHEY -c IMP:QuoAdvocate:1.0 file://qa.ior get status-sc

check_output "Unable to get status-sc?" < sc.ior

##

run_test $CBHEY -c IDL:Broker/RealTimeTask:1.0 file://qa.ior execute begin-cpu-scheduling with manager file://manager.ior period 1s

check_output "Unable to begin-cpu-scheduling?" <<EOF
ok
EOF

##

run_test $CBHEY -c IDL:Broker/RealTimeTask:1.0 file://qa.ior execute report-cpu with status 40000 advice 40000

check_output "Unable to report CPU usage?" <<EOF
ok
EOF

##

run_test $CBHEY file://sc.ior get long-value

check_output "Unable to get long-value?" <<EOF
40000
EOF

##

run_test $CBHEY file://srtt.ior execute end-cpu-scheduling

check_output "Unable to end-cpu-scheduling?" <<EOF
ok
EOF

##
